%define pkgname %(echo %name | cut -d- -f2- | tr - .)
Name:          python-wheezy-template
Version:       3.2.3
Release:       1mamba
Summary:       A lightweight template library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/wheezy.template/
Source:        https://pypi.debian.net/wheezy.template/wheezy_template-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(setuptools)
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n wheezy_template-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%if "%{?with_pyver}" != "3"
# Rename any conflicting file outside of python site packages tree
for f in %{_bindir}/wheezy.template; do
   mv %{buildroot}${f}{,-%{?pyappend}}
done
sed -i "\,%{_bindir}/wheezy.template,d" %{name}.filelist
%endif

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%{_bindir}/wheezy.template*
%dir %{python_sitearch}/%{pkgname}-%{version}-py*.egg-info
%{python_sitearch}/%{pkgname}-%{version}-py*.egg-info/*
%doc LICENSE

%changelog
* Thu Nov 28 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.3-1mamba
- update to 3.2.3

* Thu Feb 08 2024 Automatic Build System <autodist@openmamba.org> 3.2.2-1mamba
- automatic update by autodist

* Wed Sep 27 2023 Automatic Build System <autodist@mambasoft.it> 3.1.0-6mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Fri Sep 22 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.0-5mamba
- rebuilt

* Tue Aug 01 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.0-4mamba
- resolve bindir file conflict

* Mon Jul 31 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.0-3mamba
- rebuilt with python 3.10

* Mon Feb 14 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.0-2mamba
- rebuilt with distdeps

* Tue May 04 2021 Automatic Build System <autodist@mambasoft.it> 3.1.0-1mamba
- automatic version update by autodist

* Sat Jan 30 2021 Automatic Build System <autodist@mambasoft.it> 3.0.3-1mamba
- automatic version update by autodist

* Sun Sep 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.167-1mamba
- package created using the webbuild interface
